## sshmenu 3.15

=== Makefile ===
BIN   = $(DESTDIR)/usr/bin
LIB   = $(DESTDIR)/usr/lib
MAN   = $(DESTDIR)/usr/share/man
SHARE = $(DESTDIR)/usr/share

all: lib/sshmenu.rb

clean:

TEST:
	RUBYLIB=lib ruby test/ts_all.rb test/tc*.rb

install:
	install -d $(BIN) $(LIB)/ruby/1.8 $(LIB)/bonobo/servers
	install -d $(LIB)/gnome-panel $(SHARE)/icons/hicolor/48x48/apps
	install -d $(MAN)/man1
	install -m644 lib/sshmenu.rb $(LIB)/ruby/1.8/sshmenu.rb
	install -m644 lib/gnome-sshmenu.rb $(LIB)/ruby/1.8/gnome-sshmenu.rb
	install -m644 sshmenu-applet.server $(LIB)/bonobo/servers/sshmenu-applet.server
	install -m755 sshmenu-applet $(LIB)/gnome-panel/sshmenu-applet
	install -m644 sshmenu.1 $(MAN)/man1/sshmenu.1
	install -m644 gnome-sshmenu-applet.png $(SHARE)/icons/hicolor/48x48/apps/gnome-sshmenu-applet.png
	install -m755 bin/sshmenu $(BIN)/sshmenu
	install -m755 bin/sshmenu-gnome $(BIN)/sshmenu-gnome

deb:
	#fakeroot ./debian/rules binary
	dpkg-buildpackage -rfakeroot

## sshmenu 3.18

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 LIB   = $(DESTDIR)/usr/lib
 MAN   = $(DESTDIR)/usr/share/man
 SHARE = $(DESTDIR)/usr/share
+CFG   = $(DESTDIR)/etc
 
 all: lib/sshmenu.rb
 
@@ -14,6 +15,7 @@
 	install -d $(BIN) $(LIB)/ruby/1.8 $(LIB)/bonobo/servers
 	install -d $(LIB)/gnome-panel $(SHARE)/icons/hicolor/48x48/apps
 	install -d $(MAN)/man1
+	install -d $(CFG)/bash_completion.d
 	install -m644 lib/sshmenu.rb $(LIB)/ruby/1.8/sshmenu.rb
 	install -m644 lib/gnome-sshmenu.rb $(LIB)/ruby/1.8/gnome-sshmenu.rb
 	install -m644 sshmenu-applet.server $(LIB)/bonobo/servers/sshmenu-applet.server
@@ -22,6 +24,7 @@
 	install -m644 gnome-sshmenu-applet.png $(SHARE)/icons/hicolor/48x48/apps/gnome-sshmenu-applet.png
 	install -m755 bin/sshmenu $(BIN)/sshmenu
 	install -m755 bin/sshmenu-gnome $(BIN)/sshmenu-gnome
+	install -m644 bash/sshmenu $(CFG)/bash_completion.d/sshmenu
 
 deb:
 	#fakeroot ./debian/rules binary

=== debian/changelog ===
sshmenu (3.18-2) unstable; urgency=low

  * Acknowledge NMU. Thanks to Michael Biebl.
  * debian/control:
    + Add quilt dependency.
    + Bump Standards-Version to 3.9.2.
    + Clean up short description.
  * Add recommended targets for build-arch and build-indep to debian/rules.
  * Add source/format set to quilt 3.0.

 -- Kevin Coyner <kcoyner@debian.org>  Mon, 07 Nov 2011 00:56:02 +0000

sshmenu (3.18-1.1) unstable; urgency=low

  * Non-maintainer upload, for the GNOME 3 transition.
  * Drop the sshmenu-gnome binary package as it depends on obsolete
    libraries like libpanel-applet2-ruby, which have been removed with the
    switch to GNOME 3. Closes: #636823, #642531

 -- Michael Biebl <biebl@debian.org>  Sat, 05 Nov 2011 14:55:50 +0100

sshmenu (3.18-1) unstable; urgency=low

  * New upstream version. Closes: #508038. 
  * Bumped Standards-Version to 3.8.3. No changes.
  * Correct copyright symbols in debian/copyright.
  * Bumped debhelper compatibility level from 5 to 7.
  * Change dh_clean -k to dh_prep in debian/rules.

 -- Kevin Coyner <kcoyner@debian.org>  Sat, 30 Jan 2010 11:33:56 -0500

sshmenu (3.15-1) unstable; urgency=low

  * New upstream version. Closes: #442120.
  * debian/control:
    + Homepage moved out of extended description.
    + Bumped Standards-Version to 3.7.3. No changes.
    + Corrected spelling mistakes of Gnome/GNOME.
  * debian/rules:
    + Correct build target from architecture-dependent to
    architecture-independent.
    + Removed install invocation for empty directory usr/lib/bonobo/servers/.

 -- Kevin Coyner <kcoyner@debian.org>  Sun, 24 Feb 2008 23:09:38 -0500

sshmenu (3.14-3) unstable; urgency=low

  * Split the source package into two binary packages sshmenu and
    sshmenu-gnome. The later package makes sshmenu usable as an applet on the
    Gnome panel while the former (and original) package provides standalone
    operation compatible with most window managers.

 -- Kevin Coyner <kcoyner@debian.org>  Sat, 15 Sep 2007 21:06:33 -0400

sshmenu (3.14-2) unstable; urgency=low

  * debian/control: Added Depends on libgconf2-ruby and libgnome2-ruby;
    removed libyaml-ruby. Closes: #442242.

 -- Kevin Coyner <kcoyner@debian.org>  Sat, 15 Sep 2007 20:28:59 -0400

sshmenu (3.14-1) unstable; urgency=low

  * New upstream version.
  * Removed debian/docs in favor of listing README file in debian/rules under
    dh_installdocs.

 -- Kevin Coyner <kcoyner@debian.org>  Sat, 15 Sep 2007 11:02:58 -0400

sshmenu (3.13-2) unstable; urgency=low

  * Added libpanel-applet2-ruby as Depends. Closes: #441466.
  * Updated homepage location in debian/control, debian/copyright and
    debian/watch. Closes: #441487.

 -- Kevin Coyner <kcoyner@debian.org>  Sat, 15 Sep 2007 09:59:33 -0400

sshmenu (3.13-1) unstable; urgency=low

  * Initial release. Closes: #438615.

 -- Kevin Coyner <kcoyner@debian.org>  Fri, 24 Aug 2007 22:02:04 -0400

=== debian/control ===
Source: sshmenu
Section: x11
Priority: extra
Maintainer: Kevin Coyner <kcoyner@debian.org>
Build-Depends: debhelper (>= 7), quilt
Standards-Version: 3.9.2
Homepage: http://sshmenu.sourceforge.net/

Package: sshmenu
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby, libruby, libgtk2-ruby, ssh-askpass-gnome | ssh-askpass | ssh-askpass-fullscreen
Description: Menu for quick connections to your remote hosts
 sshmenu is a standalone application which puts all your most frequently used
 SSH connections on a menu.  Click on a host name to open a new terminal
 window with an ssh connection to the selected host.  Set up options for port
 forwarding, etc. using the preferences dialog.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BIN   = usr/bin
LIB   = usr/lib
MAN   = usr/share/man
SHARE = usr/share

build-arch: build
build-indep: build

build: build-stamp

build-stamp:
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/sshmenu.
	install -d $(CURDIR)/debian/sshmenu/$(BIN) $(CURDIR)/debian/sshmenu/$(LIB)/ruby/1.8

	install -D -m644 sshmenu.1 $(CURDIR)/debian/sshmenu/$(MAN)/man1/sshmenu.1
	install -D -m755 bin/sshmenu $(CURDIR)/debian/sshmenu/$(BIN)/sshmenu
	install -D -m644 lib/sshmenu.rb $(CURDIR)/debian/sshmenu/$(LIB)/ruby/1.8/sshmenu.rb

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changes
	dh_installdocs README
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://sf.net/sshmenu/sshmenu-(.*)\.tar\.gz
